.include	x24x_app.h
.global		_inittimer
	 	
NEW1		.set		9000h
OLD1		.set		9001h


NEW2		.set		9010h
OLD2		.set		9011h 

.text 
			
_inittimer
	;; Dsactivation des interruptions
	SETC		INTM

	;; Activation des horloges
	LDP		#(SCSR1>>7)
	SPLK		#001Ch,SCSR1

	;; Configuration du multiplexage des I/O
	LDP		#(MCRA>>7)
        SPLK		#03D8h,MCRA
        SPLK		#0180h,MCRC
	        
	        
	;; Configuration des sorties PWM
	LDP		#(ACTRA>>7)
	SPLK		#0,GPTCONA
	SPLK		#0066h,ACTRA
	SPLK		#0F68h,DBTCONA
	SPLK		#8600h,COMCONA
	;; Utilisation du timer 1 pour les sorties PWM
	SPLK		#0,T1CNT
	SPLK		#1044h,T1CON
	SPLK		#2048,T1PR
	;; Initialisation des moteurs  l'arrt
        SPLK		#1024,CMPR1	 
	SPLK		#1024,CMPR2
  
		
	;; Configuration des QEP pour l'utilisation des codeurs incrmentaux
	LDP		#(CAPCONA>>7)
	;; Configuration du registre CAPCONA
	SPLK		#0,CAPCONA
	SPLK		#8000h,CAPCONA
	LDP		#(T2CNT>>7)
	;; Initialisation du compteur assicie aux entrees QEP1 et 2
	SPLK		#0,T2CNT
	;; Configuration du timer 2
	SPLK		#0D874h,T2CON
	SPLK		#0FFFFh,T2PR    
	LDP		#(CAPCONB>>7)
	;; Configuration du registre CAPCONB
	SPLK		#0,CAPCONB
	SPLK		#8000h,CAPCONB
	;; Initialisation du compteur associ aux entres QEP3 et 4
	SPLK		#0,T4CNT
	;; Configuration du timer 4
	SPLK		#0D874h,T4CON
	SPLK		#0FFFFh,T4PR
			
	;; Configuration de l'interruption priodique
	LDP		#0
	;; Efface toutes les interruptions
	SPLK		#0FFFFh,IFR
	;; Active l'interruption 2
	SPLK		#2h,IMR
	;; Utilisation du timer 3
	LDP		#(T3CNT>>7)
	SPLK		#0,T3CNT        
	SPLK		#0D340h,T3CON
	SPLK		#36863,T3PR
	SPLK		#0h,GPTCONB
	SPLK		#0FFFFh,EVBIFRA		
	SPLK		#0FFFFh,EVBIFRB		
	SPLK		#0FFFFh,EVBIFRC		
	SPLK		#0FFFFh,EVAIFRA		
	SPLK		#0FFFFh,EVAIFRB		
	SPLK		#0FFFFh,EVAIFRC		    
	SPLK		#0,EVAIMRA		
	SPLK		#0,EVAIMRB		
	SPLK		#0,EVAIMRC		
	SPLK		#80h,EVBIMRA		
	SPLK		#0,EVBIMRB		
	SPLK		#0,EVBIMRC

	;; Ractivation des interruptions
	CLRC		INTM
	RET                            
.end